# m3e/chip_set

ChipSet is a container used to organize chips into a cohesive unit.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## ChipSet

opaque </>

ChipSet is a View Model for this component

## Fields:

- vertical: Whether the element is oriented vertically.

    pub opaque type ChipSet

## Vertical

</>

Vertical is whether the element is oriented vertically.

    pub type Vertical {
      IsVertical
      IsNotVertical
    }

### Constructors

-     IsVertical

-     IsNotVertical

# Values

## default_vertical

</>

    pub const default_vertical: Vertical

## new

</>

    pub fn new(vertical: Vertical) -> ChipSet

new creates a new ChipSet with the default configuration.

## render

</>

    pub fn render(
      model: ChipSet,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a ChipSet

## vertical

</>

    pub fn vertical(arg: ChipSet, vertical: Vertical) -> ChipSet

vertical sets the value of vertical for this ChipSet.

✨